/// <reference types="react" />
import * as React from 'react';
export interface PickerProps extends React.TableHTMLAttributes<HTMLTableElement> {
    matrix: Date[][];
    renderDay: (date: Date) => JSX.Element;
    header: JSX.Element;
    abbreviations: JSX.Element;
    onKeyDown: (e: React.KeyboardEvent<HTMLElement>) => void;
}
export declare const DatePicker: React.SFC<PickerProps>;
