export declare const classNames: (obj: {
    [key: string]: boolean;
}) => string;
export declare const range: (length: number) => number[];
export declare const sameDays: (d1: Date, d2: Date) => boolean;
export declare const deltaDate: (date: Date, yearDelta: number, monthDelta?: number, dayDelta?: number) => Date;
export declare const getFirstDayOfMonth: (date: Date) => Date;
export declare const getFirstDayOfWeek: (date: Date, weekStart: number) => Date;
export declare const getLastDayOfMonth: (date: Date) => Date;
export declare const getLastDayOfWeek: (date: Date, weekStart: number) => Date;
export declare const generateMatrix: (date: Date, weekStart: number) => Date[][];
export declare const isInMatrix: (matrix: Date[][], date: Date) => boolean;
export declare const abbreviationDays: (abbreviations: string[], weekStart: number) => string[];
